Create an HTTPS workflow webhook endpoint
The signing secret is returned exactly once. Verify `x-browser-workflow-signature` over `timestamp.body` and reject stale timestamps.
The signing secret is returned exactly once. Verify x-browser-workflow-signature over timestamp.body and reject stale timestamps.
Authorization
BrowserWorkflowApiKey webhooks:writeX-API-Key<token>
Project- and environment-scoped browser workflow API key.
In: header
Scope: webhooks:write
Path Parameters
projectId*string
Format
uuidenvironmentId*string
Format
uuidHeader Parameters
Idempotency-Key?string
Optional. When omitted, the server generates a unique internal key for this submission.
Length
8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/api/v1/browser/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/environments/497f6eca-6276-4993-bfeb-53cbbbba6f08/webhooks" \ -H "Content-Type: application/json" \ -d '{ "url": "http://example.com", "events": [ "batch.item.completed" ] }'Empty